Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class DictionaryTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EClassifierImpl
                                  org.eclipse.emf.ecore.impl.EDataTypeImpl
                                      org.eclipse.ocl.ecore.impl.CollectionTypeImpl
                                          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.DictionaryTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EClassifier, org.eclipse.emf.ecore.EDataType, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EClassifierExtendedMetaData.Holder, DictionaryType, org.eclipse.ocl.types.CollectionType<org.eclipse.emf.ecore.EClassifier,org.eclipse.emf.ecore.EOperation>, org.eclipse.ocl.utilities.ASTNode, org.eclipse.ocl.utilities.PredefinedType<org.eclipse.emf.ecore.EOperation>, org.eclipse.ocl.utilities.TypedASTNode

    public class DictionaryTypeImpl

extends org.eclipse.ocl.ecore.impl.CollectionTypeImpl
implements DictionaryType

An implementation of the model object 'Dictionary Type'.

The following features are implemented:

- `Key Type`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.ecore.EClassifier` | `keyType` The cached value of the '`Key Type`' reference

Fields inherited from class org.eclipse.ocl.ecore.impl.CollectionTypeImpl
`elementType, END_POSITION_EDEFAULT, endPosition, KIND_EDEFAULT, START_POSITION_EDEFAULT, startPosition, TYPE_END_POSITION_EDEFAULT, TYPE_START_POSITION_EDEFAULT, typeEndPosition, typeStartPosition`

Fields inherited from class org.eclipse.emf.ecore.impl.EDataTypeImpl
`defaultValue, defaultValueIsSet, SERIALIZABLE_EDEFAULT, SERIALIZABLE_EFLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.EClassifierImpl
`DEFAULT_VALUE_EDEFAULT, eClassifierExtendedMetaData, eTypeParameters, generatedInstanceClassName, INSTANCE_CLASS_EDEFAULT, INSTANCE_CLASS_NAME_EDEFAULT, instanceClass, instanceClassName, instanceTypeName, metaObjectID`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.ocl.types.CollectionType
`SINGLETON_NAME`

Fields inherited from interface org.eclipse.ocl.utilities.PredefinedType
`ABS, ABS_NAME, ALL_INSTANCES, ALL_INSTANCES_NAME, AND, AND_NAME, ANY, ANY_NAME, APPEND, APPEND_NAME, AS_BAG, AS_BAG_NAME, AS_ORDERED_SET, AS_ORDERED_SET_NAME, AS_SEQUENCE, AS_SEQUENCE_NAME, AS_SET, AS_SET_NAME, AT, AT_NAME, CLOSURE, CLOSURE_NAME, COLLECT, COLLECT_NAME, COLLECT_NESTED, COLLECT_NESTED_NAME, CONCAT, CONCAT_NAME, COUNT, COUNT_NAME, DIV, DIV_NAME, DIVIDE, DIVIDE_NAME, EQUAL, EQUAL_NAME, EXCLUDES, EXCLUDES_ALL, EXCLUDES_ALL_NAME, EXCLUDES_NAME, EXCLUDING, EXCLUDING_NAME, EXISTS, EXISTS_NAME, FIRST, FIRST_NAME, FLATTEN, FLATTEN_NAME, FLOOR, FLOOR_NAME, FOR_ALL, FOR_ALL_NAME, GREATER_THAN, GREATER_THAN_EQUAL, GREATER_THAN_EQUAL_NAME, GREATER_THAN_NAME, HAS_RETURNED, HAS_RETURNED_NAME, IMPLIES, IMPLIES_NAME, INCLUDES, INCLUDES_ALL, INCLUDES_ALL_NAME, INCLUDES_NAME, INCLUDING, INCLUDING_NAME, INDEX_OF, INDEX_OF_NAME, INSERT_AT, INSERT_AT_NAME, INTERSECTION, INTERSECTION_NAME, IS_EMPTY, IS_EMPTY_NAME, IS_OPERATION_CALL, IS_OPERATION_CALL_NAME, IS_SIGNAL_SENT, IS_SIGNAL_SENT_NAME, IS_UNIQUE, IS_UNIQUE_NAME, LAST, LAST_NAME, LESS_THAN, LESS_THAN_EQUAL, LESS_THAN_EQUAL_NAME, LESS_THAN_NAME, MAX, MAX_NAME, MIN, MIN_NAME, MINUS, MINUS_NAME, MOD, MOD_NAME, NOT, NOT_EMPTY, NOT_EMPTY_NAME, NOT_EQUAL, NOT_EQUAL_NAME, NOT_NAME, OCL_AS_TYPE, OCL_AS_TYPE_NAME, OCL_IS_IN_STATE, OCL_IS_IN_STATE_NAME, OCL_IS_INVALID, OCL_IS_INVALID_NAME, OCL_IS_KIND_OF, OCL_IS_KIND_OF_NAME, OCL_IS_NEW, OCL_IS_NEW_NAME, OCL_IS_TYPE_OF, OCL_IS_TYPE_OF_NAME, OCL_IS_UNDEFINED, OCL_IS_UNDEFINED_NAME, ONE, ONE_NAME, OR, OR_NAME, PLUS, PLUS_NAME, PREPEND, PREPEND_NAME, PRODUCT, PRODUCT_NAME, REJECT, REJECT_NAME, RESULT, RESULT_NAME, ROUND, ROUND_NAME, SELECT, SELECT_NAME, SIZE, SIZE_NAME, SORTED_BY, SORTED_BY_NAME, SUB_ORDERED_SET, SUB_ORDERED_SET_NAME, SUB_SEQUENCE, SUB_SEQUENCE_NAME, SUBSTRING, SUBSTRING_NAME, SUM, SUM_NAME, SYMMETRIC_DIFFERENCE, SYMMETRIC_DIFFERENCE_NAME, TIMES, TIMES_NAME, TO_INTEGER, TO_INTEGER_NAME, TO_LOWER, TO_LOWER_NAME, TO_REAL, TO_REAL_NAME, TO_UPPER, TO_UPPER_NAME, UNION, UNION_NAME, XOR, XOR_NAME`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `DictionaryTypeImpl()`

Method Summary
`org.eclipse.emf.ecore.EClassifier` | `basicGetKeyType()`
`boolean` | `checkCollectionTypeName(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Overwriting of the method checkCollectionTypeName
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.ecore.EClassifier` | `getKeyType()`
`void` | `setKeyType(org.eclipse.emf.ecore.EClassifier newKeyType)`

Methods inherited from class org.eclipse.ocl.ecore.impl.CollectionTypeImpl
`basicGetElementType, checkNoInvalidValues, eBaseStructuralFeatureID, eDerivedStructuralFeatureID, getElementType, getEndPosition, getKind, getName, getStartPosition, getTypeEndPosition, getTypeStartPosition, oclIterators, oclOperations, setElementType, setEndPosition, setStartPosition, setTypeEndPosition, setTypeStartPosition, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.EDataTypeImpl
`getDefaultValue, isSerializable, setDataTypeGeneratedInstanceClass, setGeneratedInstanceClass, setInstanceClassGen, setSerializable`

Methods inherited from class org.eclipse.emf.ecore.impl.EClassifierImpl
`basicGetEPackage, basicSetInstanceClassName, basicSetInstanceTypeName, dynamicIsInstance, eBasicRemoveFromContainerFeature, eBasicSetContainer, eInverseAdd, eInverseRemove, getClassForName, getClassifierID, getEPackage, getEPackageGen, getETypeParameters, getExtendedMetaData, getInstanceClass, getInstanceClassGen, getInstanceClassName, getInstanceClassNameGen, getInstanceTypeName, getPrimitiveOrArrayClass, isInstance, isSetInstanceClassName, isSetInstanceTypeName, setClassifierID, setExtendedMetaData, setInstanceClass, setInstanceClassName, setInstanceClassNameGen, setInstanceTypeName, setName, unsetInstanceClassName, unsetInstanceTypeName`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getNameGen`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EDataType
`isSerializable, setSerializable`

Methods inherited from interface org.eclipse.emf.ecore.EClassifier
`getClassifierID, getDefaultValue, getEPackage, getETypeParameters, getInstanceClass, getInstanceClassName, getInstanceTypeName, isInstance, setInstanceClass, setInstanceClassName, setInstanceTypeName`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.types.CollectionType
`checkNoInvalidValues, getElementType, getKind, oclIterators, setElementType`

Methods inherited from interface org.eclipse.ocl.utilities.PredefinedType
`getName, oclOperations`

Methods inherited from interface org.eclipse.ocl.utilities.TypedASTNode
`getTypeEndPosition, getTypeStartPosition, setTypeEndPosition, setTypeStartPosition`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### keyType

    protected org.eclipse.emf.ecore.EClassifier keyType

  The cached value of the '`Key Type`' reference.

  See Also:
    `getKeyType()`

Constructor Detail

### DictionaryTypeImpl

    protected DictionaryTypeImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.ocl.ecore.impl.CollectionTypeImpl`

### getKeyType

    public org.eclipse.emf.ecore.EClassifier getKeyType()

  Specified by:
    `getKeyType` in interface `DictionaryType`
  Returns:
    the value of the 'Key Type' reference.
  See Also:
    `DictionaryType.setKeyType(EClassifier)`, `ImperativeOCLPackage.getDictionaryType_KeyType()`

### basicGetKeyType

    public org.eclipse.emf.ecore.EClassifier basicGetKeyType()

### setKeyType

    public void setKeyType(org.eclipse.emf.ecore.EClassifier newKeyType)

  Specified by:
    `setKeyType` in interface `DictionaryType`
  Parameters:
    `newKeyType` - the new value of the 'Key Type' reference.
  See Also:
    `DictionaryType.getKeyType()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.ocl.ecore.impl.CollectionTypeImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.ocl.ecore.impl.CollectionTypeImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.ocl.ecore.impl.CollectionTypeImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.ocl.ecore.impl.CollectionTypeImpl`

### checkCollectionTypeName

    public boolean checkCollectionTypeName(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map<java.lang.Object,java.lang.Object> context)

  Overwriting of the method checkCollectionTypeName

  Specified by:
    `checkCollectionTypeName` in interface `org.eclipse.ocl.types.CollectionType<org.eclipse.emf.ecore.EClassifier,org.eclipse.emf.ecore.EOperation>`
  Overrides:
    `checkCollectionTypeName` in class `org.eclipse.ocl.ecore.impl.CollectionTypeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD